/****** Object:  View [dbo].[vRifornimenti]    Script Date: 07/12/2016 16:11:59 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vRifornimenti]'))
DROP VIEW [dbo].[vRifornimenti]
GO

/****** Object:  View [dbo].[vRifornimenti]    Script Date: 07/12/2016 16:11:59 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vRifornimenti]
AS
SELECT     dbo.Soggetti.RagioneSociale, dbo.Prodotti.Testata, dbo.Uscite.NumeroCopertina, dbo.Uscite.PrezzoCopertinaEuroDistributore, 
                      dbo.Soggetti.IDTipoSoggetto, dbo.Uscite.DataUscita, dbo.Prodotti.IDProd, dbo.Uscite.IDUscita, dbo.vEdicola.RagioneSociale AS EdRagioneSOCIALE, 
                      dbo.vEdicola.Indirizzo, dbo.vEdicola.Cap, dbo.vEdicola.Citta, dbo.vEdicola.Prov, dbo.vEdicola.Telefono, dbo.vEdicola.Codicefiscale, 
                      dbo.vEdicola.PartitaIVA, dbo.Uscite.BarcodeAddon, dbo.Rifornimenti.IDRifornimento, dbo.Rifornimenti.IDDocumento, 
                      dbo.Rifornimenti.IDDocumentoRiga, dbo.Rifornimenti.IDDL, dbo.Rifornimenti.TipoRichiesta, dbo.Rifornimenti.FlagRifAr, 
                      dbo.Rifornimenti.NumeroSollecito, dbo.Rifornimenti.FornitoTotale, dbo.Rifornimenti.ResaEsuberanzaExtra, dbo.Rifornimenti.GiacenzaAttuale, 
                      dbo.Rifornimenti.CopieRichieste, dbo.Rifornimenti.Nota, dbo.Rifornimenti.IDUtente, dbo.Rifornimenti.DataRichiesta, 
                      dbo.Rifornimenti.ArretratiRichiestiA, dbo.Rifornimenti.InfoRivDataInvio, dbo.Rifornimenti.IDUscita AS Expr1, dbo.Rifornimenti.IDPrenotazione, 
                      dbo.Rifornimenti.IDRichiesta, dbo.Rifornimenti.TipoMovimento, dbo.Rifornimenti.DataRipetizioneRichiesta, dbo.Rifornimenti.CausaleMancataEvasione,
                       dbo.Rifornimenti.Note, dbo.Rifornimenti.Copie, dbo.Rifornimenti.DataRisposta, dbo.Prodotti.CodiceTestata, dbo.Uscite.Sottotitolo, 
                      dbo.Rifornimenti.CodEdiScambio, dbo.Rifornimenti.ConfermaRicezione, dbo.Rifornimenti.DataConfRicezione, dbo.Rifornimenti.DataScadenzaRif, 
                      dbo.Rifornimenti.CausaleRif
FROM         dbo.Rifornimenti INNER JOIN
                      dbo.Uscite ON dbo.Rifornimenti.IDUscita = dbo.Uscite.IDUscita INNER JOIN
                      dbo.Soggetti ON dbo.Rifornimenti.IDDL = dbo.Soggetti.IDSoggetto LEFT OUTER JOIN
                      dbo.Prodotti ON dbo.Uscite.IDProd = dbo.Prodotti.IDProd CROSS JOIN
                      dbo.vEdicola
WHERE     (dbo.Soggetti.IDTipoSoggetto = 'DL')

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[65] 4[11] 2[19] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1[50] 4[25] 3) )"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4[30] 2[40] 3) )"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4[50] 3) )"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 1
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Rifornimenti"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 114
               Right = 240
            End
            DisplayFlags = 280
            TopColumn = 27
         End
         Begin Table = "Uscite"
            Begin Extent = 
               Top = 114
               Left = 38
               Bottom = 222
               Right = 275
            End
            DisplayFlags = 280
            TopColumn = 13
         End
         Begin Table = "Soggetti"
            Begin Extent = 
               Top = 6
               Left = 278
               Bottom = 114
               Right = 455
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Prodotti"
            Begin Extent = 
               Top = 222
               Left = 38
               Bottom = 330
               Right = 232
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "vEdicola"
            Begin Extent = 
               Top = 222
               Left = 270
               Bottom = 330
               Right = 447
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
      PaneHidden = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
   ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vRifornimenti'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N'      Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vRifornimenti'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vRifornimenti'
GO
